Authorize check
Relevant webhooks
For this endpoint be sure you have registered for these webhooks:
API reference
Authorizes a check using Positive Pay.
Endpoint: /checks/v1/positive-pay-authorizations
POST
https://sandbox.crbcos.com/checks/v1/positive-pay-authorizations
Body Parameters
- accountNumberstringrequiredDescription
- amountintegerrequiredDescription
- checkNumberstringrequiredDescription
- payeeNamestringrequiredDescription
- expiresAtstringDescription
Response
- idstringDescription
- statusstringDescription
- accountNumberstringDescription
- payeeNamestringDescription
- checkNumberstringDescription
- amountintegerDescription
- relatedPaymentIdstringDescription
- createdAtstringDescription
- expiresAtstringDescription
- revokedAtstringDescription
- productIdstringDescription
- partnerIdstringDescription
- lastModifiedAtstringDescription
curl
curl --location 'https://sandbox.crbcos.com/checks/v1/positive-pay-authorizations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"accountNumber": "2640511503",
"amount": 10000,
"checkNumber": 64958137456,
"payeeName": "John Strong",
"expiresAt": "2025-07-19T12:12:27.270Z"
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'POST',
'hostname': 'sandbox.crbcos.com',
'path': '/checks/v1/positive-pay-authorizations',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = "{\r\n \"accountNumber\": \"2640511503\",\r\n \"amount\": 10000,\r\n \"checkNumber\": 64958137456,\r\n \"payeeName\": \"John Strong\",\r\n \"expiresAt\": \"2025-07-19T12:12:27.270Z\"\r\n}";
req.write(postData);
req.end();python
import http.client
conn = http.client.HTTPSConnection("sandbox.crbcos.com")
payload = "{\r\n \"accountNumber\": \"2640511503\",\r\n \"amount\": 10000,\r\n \"checkNumber\": 64958137456,\r\n \"payeeName\": \"John Strong\",\r\n \"expiresAt\": \"2025-07-19T12:12:27.270Z\"\r\n}"
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
}
conn.request("POST", "/checks/v1/positive-pay-authorizations", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/checks/v1/positive-pay-authorizations")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = "{\r\n \"accountNumber\": \"2640511503\",\r\n \"amount\": 10000,\r\n \"checkNumber\": 64958137456,\r\n \"payeeName\": \"John Strong\",\r\n \"expiresAt\": \"2025-07-19T12:12:27.270Z\"\r\n}"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/checks/v1/positive-pay-authorizations"
method := "POST"
payload := strings.NewReader(`{
"accountNumber": "2640511503",
"amount": 10000,
"checkNumber": 64958137456,
"payeeName": "John Strong",
"expiresAt": "2025-07-19T12:12:27.270Z"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "bf50797f-bdd7-4cc9-8efc-b30d008043d3",
"status": "Authorized",
"accountNumber": "2640511503",
"payeeName": "John Strong",
"checkNumber": "64958137456",
"amount": 10000,
"createdAt": "2025-07-01T03:46:59.9029464-04:00",
"expiresAt": "2025-07-19T08:12:27.27-04:00",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastModifiedAt": "2025-07-01T03:46:59.9029464-04:00"
}